Subject: Re: I-D Action: draft-ietf-6man-default-iids-03.txt

From: Fernando Gont <[email-masked]>
Date: Tue, 09 Jun 2015 21:39:54 -0300

Hi, Mark,

Would you mind providing the references to: [IEEE 802-2001], [IEEE
802.3], [IEEE 802.11], and [Bluetooth 4.1]?

Thanks!

Best regards,
Fernando

On 05/06/2015 09:49 PM, Mark ZZZ Smith wrote:
> Hi,
> 
> I've one suggestion for the following text (**s)
> 
> "It is RECOMMENDED by this document that future specifications do not
>    specify IPv6 address generation schemes that embed the underlying
>    link-layer address in the IID.  Future specifications MAY use an IID
>    based on a node's link-layer address if design and engineering
>    considerations warrant. ** Note that some link-layers support locally
> assigned link-layer addresses [IEEE 802-2001], such as [IEEE 802.3] and
> [IEEE 802.11], or random addresses [Bluetooth 4.1]. Where IPv6 IIDs are
> to be derived from link-layer addresses, it is RECOMMENDED that the
> random addresses supported by the link-layer are used, or that
> pseudo-random locally assigned link-layer addresses are generated,
> assigned and used.***"
> 
> Regards,
> Mark.
> 
> ------------------------------------------------------------------------
> *From:* "[email-masked]" <[email-masked]>
> *To:* [email-masked]
> *Cc:* [email-masked]
> *Sent:* Thursday, 7 May 2015, 6:53
> *Subject:* I-D Action: draft-ietf-6man-default-iids-03.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the IPv6 Maintenance Working Group of the IETF.
> 
>         Title          : Recommendation on Stable IPv6 Interface Identifiers
>         Authors        : Fernando Gont
>                           Alissa Cooper
>                           Dave Thaler
>                           Will Liu
>     Filename        : draft-ietf-6man-default-iids-03.txt
>     Pages          : 9
>     Date            : 2015-05-06
> 
> Abstract:
>   The IPv6 addressing architecture defines Modified EUI-64 format
>   Interface Identifiers, and the existing IPv6 over various link-layers
>   specify how such identifiers are derived from the underlying link-
>   layer address (e.g., an IEEE LAN MAC address) when employing IPv6
>   Stateless Address Autoconfiguration (SLAAC).  The security and
>   privacy implications of embedding link-layer addresses in the
>   Interface Identifier have been known and understood for some time
>   now, and some popular IPv6 implementations have already deviated from
>   such schemes to mitigate these issues.  This document changes the
>   recommended default Interface Identifier generation scheme for SLAAC
>   to that specified in RFC7217, and recommends against embedding link-
>   layer addresses in IPv6 Interface Identifiers.  It formally updates
>   RFC2464, RFC2467, RFC2470, RFC2491, RFC2492, RFC2497, RFC2590,
>   RFC3146, RFC3572, RFC4291, RFC4338, RFC4391, RFC4944, RFC5072, and
>   RFC5121, which require IPv6 Interface Identifiers to be derived from
>   the underlying link-layer address.  Additionally, this document
>   provides advice about the generation of Interface Identifiers with
>   other address configuration mechanisms, such as Dynamic Host
>   Configuration Protocol version 6 (DHCPv6) and manual configuration.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-6man-default-iids/
> 
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-6man-default-iids-03
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-6man-default-iids-03
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked] <mailto:[email-masked]>
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 
> 
> 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Mark ZZZ Smith <[email-masked]>
Date: Wed, 10 Jun 2015 05:25:59 +0000 (UTC)

Hi Fernando,

Sure, here they are:

[IEEE 802-2001] - reference probably should be [IEEE 802]
"IEEE Std 802 ® -2014"
"802 - IEEE Standard for Local and Metropolitan Area Networks: Overview and Architecture"

[IEEE 802.3]
"IEEE Std 802.3(TM)-2012"
"IEEE Standard for Ethernet"

[IEEE 802.11]
"IEEE Std 802.11(TM)-2012"
"Part 11: Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) Specifications"

[Bluetooth 4.1]"Specification of the Bluetooth System v4.1"

Regards,
Mark.

----- Original Message -----
From: Fernando Gont <[email-masked]>
To: Mark ZZZ Smith <[email-masked]>; "[email-masked]" <[email-masked]>; "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Sent: Wednesday, 10 June 2015, 10:39
Subject: Re: I-D Action: draft-ietf-6man-default-iids-03.txt

Hi, Mark,

--

Sure, here they are:

[IEEE 802-2001] - reference probably should be [IEEE 802]
"IEEE Std 802 ® -2014"
"802 - IEEE Standard for Local and Metropolitan Area Networks: Overview and Architecture"

[IEEE 802.3]
"IEEE Std 802.3(TM)-2012"
"IEEE Standard for Ethernet"

[IEEE 802.11]
"IEEE Std 802.11(TM)-2012"
"Part 11: Wireless LAN Medium Access Control (MAC) and Physical Layer (PHY) Specifications"

[Bluetooth 4.1]
"Specification of the Bluetooth System v4.1"

Regards,
Mark.--

Thanks!

Best regards,
Fernando

---

From: "Liushucheng (Will)" <[email-masked]>
Date: Fri, 12 Jun 2015 01:59:19 +0000

Question to the WG: does anyone object to us incorporating the changes proposed by Mark?

Copied below:
> >    considerations warrant. ** Note that some link-layers support
> > locally assigned link-layer addresses [IEEE 802-2001], such as [IEEE
> > 802.3] and [IEEE 802.11], or random addresses [Bluetooth 4.1]. Where
> > IPv6 IIDs are to be derived from link-layer addresses, it is
> > RECOMMENDED that the random addresses supported by the link-layer
> are
> > used, or that pseudo-random locally assigned link-layer addresses are
> > generated, assigned and used.***"

> [IEEE 802-2001] - reference probably should be [IEEE 802] "IEEE Std 802 ®
> -2014"

Cheers,
Will

> -----Original Message-----
> From: ipv6 [mailto:[email-masked]] On Behalf Of Mark ZZZ Smith
> Sent: Wednesday, June 10, 2015 1:26 PM
> To: Fernando Gont; [email-masked]; [email-masked]
> Cc: [email-masked]
> [IEEE 802-2001] - reference probably should be [IEEE 802] "IEEE Std 802 ®
> -2014"
> To: Mark ZZZ Smith <[email-masked]>;
> "[email-masked]" <[email-masked]>;
> "[email-masked]" <[email-masked]>
> Would you mind providing the references to: [IEEE 802-2001], [IEEE 802.3],
> [IEEE 802.11], and [Bluetooth 4.1]?
> 
> 
> --
> 
> Sure, here they are:
> 
> 
> [IEEE 802-2001] - reference probably should be [IEEE 802] "IEEE Std 802 ®
> -2014"
> >    considerations warrant. ** Note that some link-layers support
> > locally assigned link-layer addresses [IEEE 802-2001], such as [IEEE
> > 802.3] and [IEEE 802.11], or random addresses [Bluetooth 4.1]. Where
> > IPv6 IIDs are to be derived from link-layer addresses, it is
> > RECOMMENDED that the random addresses supported by the link-layer
> are
> > used, or that pseudo-random locally assigned link-layer addresses are
> > generated, assigned and used.***"
> >
> > Regards,
> > Mark.
> >
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at
> tools.ietf.org.
> >